rpmal_s Struct Reference

Set of available packages, items, and directories. More...

Collaboration diagram for rpmal_s:
[legend]

## Data Fields

availablePackage | list
struct availableIndex_s | index
int | delta
int | size
int | alloced
rpmuint32_t | tscolor
int | numDirs
dirInfo | dirs

## Detailed Description

Set of available packages, items, and directories.

Definition at line 108 of file rpmal.c.

## Field Documentation

int rpmal_s::alloced

No. of pkgs allocated for list.

Definition at line 114 of file rpmal.c.

Referenced by rpmalAdd(), rpmalCreate(), and rpmalFree().

int rpmal_s::delta

Delta for pkg list reallocation.

Definition at line 112 of file rpmal.c.

Referenced by rpmalAdd(), and rpmalCreate().

dirInfo rpmal_s::dirs

Set of directories.

Definition at line 118 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), rpmalCreate(), rpmalDel(), and rpmalFree().

struct availableIndex_s rpmal_s::index

Set of available items.

Definition at line 111 of file rpmal.c.

Referenced by rpmalAddProvides(), rpmalAllSatisfiesDepend(), rpmalCreate(), rpmalFreeIndex(), and rpmalMakeIndex().

availablePackage rpmal_s::list

Set of packages.

Definition at line 110 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), rpmalAllSatisfiesDepend(), rpmalCreate(), rpmalDel(), rpmalFree(), and rpmalMakeIndex().

int rpmal_s::numDirs

No. of directories.

Definition at line 116 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), rpmalCreate(), rpmalDel(), and rpmalFree().

int rpmal_s::size

No. of pkgs in list.

Definition at line 113 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAddProvides(), rpmalCreate(), rpmalFree(), and rpmalMakeIndex().

rpmuint32_t rpmal_s::tscolor

Transaction color.

Definition at line 115 of file rpmal.c.

The documentation for this struct was generated from the following file:

- lib/rpmal.c